Skip to main content
GET
/
agent_turns
List agent turns
curl --request GET \
  --url https://api.akua.dev/v1/agent_turns \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "workspace_id": "<string>",
      "organization_id": "<string>",
      "agent_id": "<string>",
      "session_id": "<string>",
      "input": {
        "content": "<string>"
      },
      "model": "<string>",
      "created_by": "<string>",
      "started_at": 1,
      "completed_at": 1,
      "decision_reason": "<string>",
      "admission_error": {
        "code": "<string>",
        "message": "<string>"
      },
      "usage_summary": {
        "provider_cost_cents": 1,
        "provider_token_count": 1,
        "runtime_compute_seconds": 1,
        "runtime_storage_gb_hours": 1,
        "mcp_call_count": 1,
        "api_call_count": 1,
        "ambient_trigger_count": 1
      },
      "failure": {
        "code": "<string>",
        "message": "<string>"
      },
      "created_at": 1,
      "updated_at": 1,
      "etag": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://akua-1dce587a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

Query Parameters

session
string
Required string length: 1 - 54
cursor
string
limit
integer
default:50
Required range: 1 <= x <= 100

Response

Agent turn list

data
object[]
required
has_more
boolean
required

True if more items exist after this page.

next_cursor
string | null
required

Opaque cursor for the next page, or null if no more pages.